> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve contract by client or contractor



## OpenAPI

````yaml /openapi.json post /api/v1/documents/contracts/{contract_id}/approve
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/documents/contracts/{contract_id}/approve:
    post:
      tags:
        - contracts
      summary: Approve contract by client or contractor
      operationId: approve_contract_api_v1_documents_contracts__contract_id__approve_post
      parameters:
        - name: contract_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Contract Id
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/ApproveContractRequest'
                - type: 'null'
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApproveContractRequest:
      properties:
        clientAddress:
          anyOf:
            - $ref: '#/components/schemas/UserAddress'
            - type: 'null'
        contractorAddress:
          anyOf:
            - $ref: '#/components/schemas/UserAddress'
            - type: 'null'
        paymentMethods:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Paymentmethods
      type: object
      title: ApproveContractRequest
      description: >-
        Optional body for contract approval — each party can provide their own
        data.
    ContractResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        clientId:
          type: string
          format: uuid
          title: Clientid
        contractorId:
          type: string
          format: uuid
          title: Contractorid
        client:
          anyOf:
            - $ref: '#/components/schemas/ContractParty'
            - type: 'null'
        contractor:
          anyOf:
            - $ref: '#/components/schemas/ContractParty'
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        documentId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Documentid
        documentName:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentname
        documentFileName:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentfilename
        documentDownloadLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentdownloadlink
        type:
          $ref: '#/components/schemas/ContractType'
        status:
          $ref: '#/components/schemas/ContractStatus'
        amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Amount
        currency:
          anyOf:
            - $ref: '#/components/schemas/Currency'
            - type: 'null'
        period:
          anyOf:
            - type: string
            - type: 'null'
          title: Period
        activationAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Activationat
        expirationAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expirationat
        signatureRequestId:
          anyOf:
            - type: string
            - type: 'null'
          title: Signaturerequestid
        signed:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Signed
        clientAcceptance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Clientacceptance
        contractorAcceptance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Contractoracceptance
        creatorId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Creatorid
        fields:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Fields
        priorityMethods:
          items:
            $ref: '#/components/schemas/TransactionType'
          type: array
          title: Prioritymethods
        paymentMethods:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Paymentmethods
        lastInvoice:
          anyOf:
            - $ref: '#/components/schemas/ContractLastInvoice'
            - type: 'null'
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
      type: object
      required:
        - id
        - clientId
        - contractorId
        - type
        - status
        - createdAt
        - updatedAt
      title: ContractResponse
      description: Contract response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserAddress:
      properties:
        streetAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Streetaddress
        addressLine2:
          anyOf:
            - type: string
            - type: 'null'
          title: Addressline2
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - $ref: '#/components/schemas/CountryCode'
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip
      type: object
      title: UserAddress
      description: >-
        Address schema for user.


        Canonical field names: street_address, address_line_2, city, state,
        country, zip.

        Accepts legacy Align/IBAN field names (street_line_1, street_line_2,
        postal_code)

        for backward compatibility with existing JSONB data.
    ContractParty:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        entityName:
          anyOf:
            - type: string
            - type: 'null'
          title: Entityname
        avatarUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatarurl
        isBusiness:
          type: boolean
          title: Isbusiness
          default: false
        address:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Address
      type: object
      required:
        - id
      title: ContractParty
      description: Minimal user data embedded in contract responses.
    ContractType:
      type: string
      enum:
        - service
        - employment
        - nda
        - contractor
        - default_contractor
        - custom
        - vendor
        - milestone
        - msa
        - other
      title: ContractType
      description: Contract type.
    ContractStatus:
      type: string
      enum:
        - pending_approval_by_contractor
        - pending_approval_by_client
        - active
        - completed
        - cancelled
        - paused
      title: ContractStatus
      description: Contract status.
    Currency:
      type: string
      enum:
        - USD
        - EUR
        - GBP
        - JPY
        - CHF
        - CAD
        - AUD
        - NZD
        - SEK
        - NOK
        - AED
        - HKD
      title: Currency
      description: Supported invoice/contract currencies. G10 majors + AED/HKD.
    TransactionType:
      type: string
      enum:
        - sepa
        - swift
        - ach
        - uaefts
        - fedwire
        - swift-usd
        - swift-eur
        - wire
        - pix
        - crypto
        - card
        - internal
        - refund
      title: TransactionType
      description: |-
        Transaction type - payment rail.

        Includes all ``FiatPaymentType`` values (sepa/swift/ach/uaefts) plus
        extended fiat variants (wire/swift-usd/swift-eur/fedwire/pix) and
        non-fiat rails (crypto/card/internal/refund).
    ContractLastInvoice:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        clientId:
          type: string
          format: uuid
          title: Clientid
        contractorId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Contractorid
        contractorEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Contractoremail
        clientEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientemail
        contractId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Contractid
        onchainTransactionId:
          anyOf:
            - type: string
            - type: 'null'
          title: Onchaintransactionid
        invoiceDocumentId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Invoicedocumentid
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        discount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Discount
        currency:
          $ref: '#/components/schemas/Currency'
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        emailMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailmessage
        invoiceNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoicenumber
        issuedDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Issueddate
        dueDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Duedate
        status:
          type: string
          title: Status
        paidAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paidat
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
      type: object
      required:
        - id
        - clientId
        - amount
        - currency
        - status
        - createdAt
        - updatedAt
      title: ContractLastInvoice
      description: Flat last invoice data embedded in contract responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CountryCode:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - CI
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
      title: CountryCode
      description: ISO 3166-1 alpha-2 country codes.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````